curl --request GET \
--url https://api.baselayer.com/notification_policies \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/notification_policies"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/notification_policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "ede786f3-33ae-4894-843d-af2025f1d5b0",
"scope": "portfolio",
"name": "<string>",
"item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"cadence": "daily",
"url": "<string>",
"group_url": "<string>",
"item_url": "<string>",
"last_run_at": "2023-11-07T05:31:56Z",
"next_run_on": "2023-11-07T05:31:56Z",
"attributes": []
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Notification Policies
Get all notification policies in the organization with pagination. Policies are sorted by created_at in ascending order.
Authorizations
Query Parameters
Maximum number of records to return in a single page. Must be between 1 and 1000.
1 <= x <= 1000Number of records to skip from the beginning. Use 0 for the first page. Cannot be used with cursor.
x >= 0Opaque pagination cursor token that identifies the position in the result set. Use the cursor from the previous response to get the next page. Cannot be used with offset.
Response
Response
The unique identifier of the notification policy.
"ede786f3-33ae-4894-843d-af2025f1d5b0"
The scope of the notification policy.
portfolio, group, item The name of the notification policy.
The unique identifier of the portfolio item, if any.
The unique identifier of the portfolio group, if any.
Whether the notification policy is enabled.
The notification cadence.
daily, weekly, biweekly, monthly, quarterly, biannually, annually When the notification policy was last executed.
When the notification policy will be executed next.
The attributes to notify on.
registration_health, new_registrations, addresses, officers, alternative_names, kyb_score, risk_score, identity_network, pep, ofac, liens, litigations, bankruptcies, website_analysis